# FINDOLOGIC OXID DI PLUGIN

  FINDOLOGIC OXID DI plug-in needs to be implemented in OXID eShop to export products
  and its data for successful implementation of FINDOLOGIC Search into OXID eShop. Beside
  product export, this plug-in also injects tracking scripts, in order to improve user experience of
  using shop it self.
  
  This plug-in is going through all the shop's data and finding valid products for export. In order to be exported, 
  following conditions must be met:
  * product must be set to active
  * product stock must be greater that zero
  * product should not be configured as variant
  * product categories must be active
  * product category should not be set to *“Hidden”*
  
## INSTALLATION

  FINDOLOGIC OXID DI plug-in installation procedure is basically the same as for any other OXID plug-in. It can be summed up in a few simple steps:
  * Plug-in content needs to copied into OXID folder called *“Modules”*
  * File called *“findologic_export.php”* that can be found in plug-in root directory needs to be moved into root directory of OXID eshop
  * After all this, in Admin panel under Extension → Modules, *“Findologic Search”* should be listed as one of available plug-ins
  * After clicking on *“Findologic Search”*, on the lower part of the screen plug-in info should be displayed. In order for plug-in to be installed on the system one needs to click *“Activate”*
  * After activation, small icon beside *“Findologic Search”* should become green, which indicates that plug-in is successfully installed on the system
  * After clicking on *“Findologic Search”* on lower part of the screen, click on *“Settings”* tab, then click *“FINDOLOGIC Shop key”* and in the available field or fields (depends on how many languages shop has) insert SHOPKEY that is provided by FINDOLOGIC, and finally,  click *“Save”*
  
  **Note**: Shop key must be entered in valid format or error will be shown
  * Finally, shop's cache must be cleared
  
## RUNNING EXPORT

  Export is called via url that is something like this:
  
  *SHOP_URL/findologic_export.php?shopkey=SHOP_KEY&start=NUMBER&count=NUMBER*
  
  Three parameters  that are necessary  for successfully running export are:
  * shopkey → SHOPKEY provided by FINDOLOGIC
  * start → number that should not be lower than zero
  * count → number that should not lower than zero and “start” number
  
  If any of these parameters is not according to standards, export would not be run, and error message will be displayed. Generated XML is validated against predefined xsd scheme contained in “lib” folder.

## EXPORT CUSTOMIZATION

  If standard export does not export all data that is needed, there is a simple way to customize export. In plug-in root folder there is a file called “findologicCustomExport_org.php” that should be renamed to *“findologicCustomExport.php”*. That file contains class “FindologicCustomExport” that extends class “FindologicItemXml” that is responsible  for export. In order to change export, simply override already existing methods in  *“FindologicItemXml”* by writing new methods in “FindologicCustomExport” class. Example code is already placed in *“findologicCustomExport_org.php”*.
  

