<?php

class findologicEvents
{

    /**
     * Adds seo url for export
     */
    public static function onActivate()
    {
        $oDb = oxDb::getDb(oxDb::FETCH_MODE_ASSOC);
        $seoUrl = 'Findologic/';
        $seoHash = md5(strtolower($seoUrl));
        $iShopId = oxUtilsObject::getInstance()->getShopId();
        $iQtedShopId = $oDb->quote($iShopId);
        $sQtedStdUrl = $oDb->quote('index.php?cl=findologic');
        $sQtedSeoUrl = $oDb->quote($seoUrl);
        $sQtedType = $oDb->quote('static');
        $sQtedIdent = $oDb->quote($seoHash);

        $sSql = "insert into oxseo
                    (oxobjectid, oxident, oxshopid, oxlang, oxstdurl, oxseourl, oxtype, oxfixed, oxexpired, oxparams)
                values
                    ( {$sQtedIdent}, {$sQtedIdent}, {$iQtedShopId}, 0, {$sQtedStdUrl}, {$sQtedSeoUrl}, {$sQtedType}, '0', '0', '' )
                on duplicate key update
                    oxident = {$sQtedIdent}, oxstdurl = {$sQtedStdUrl}, oxseourl = {$sQtedSeoUrl}, oxfixed = '', oxexpired = '0'";

        oxDb::getDb()->execute($sSql);
    }

    /**
     * Removes seo url for export from database
     */
    public static function onDeactivate()
    {
        $seoUrl = 'Findologic/';
        $seoHash = md5(strtolower($seoUrl));

        oxDb::getDb()->execute("delete from oxseo where oxident = '$seoHash'");
        oxDb::getDb()->execute("delete from oxconfig where OXMODULE = 'module:findologic_module'");
    }

}
