<?php

/**
 * Example of custom export class.
 * If you need to customize export, rename it to findologicCustomExport.php and
 * make changes in this class. FINDOLOGIC module will pull it automatically.
 * 
 * Class FindologicCustomExport
 */
class FindologicCustomExport extends FindologicItemXml
{
    /**
     * Adds custom properties. Example
     *
     * @param array $productProperties
     * @param array $product
     * @return array
     */
    public function addCustomProperties($productProperties, $product)
    {
        /* Example to use the predefined custom functions
         * Export an additional property:
         * 
         * $productProperties['color'] = 'Red';
         * return $productProperties;
         */
        parent::addCustomProperties($productProperties, $product);
    }

    /**
     * Render other name in XML. Example
     * @param SimpleXMLElement $names
     * @param array $product
     */
    public function renderName(SimpleXMLElement $names, $product) {
        /* Example to override an complete base function
         * Export an other name: $this->appendCData($names->addChild('name'), $product[$this->appendLang('OXTITLE_2')]);
         */
        parent::renderName($names, $product);
    }
}
